Python 3 is killing Python

alex23 wuwei23 at gmail.com
Thu Jul 17 07:48:38 CEST 2014


On 15/07/2014 11:57 PM, Kevin Walzer wrote:
> The number of language revisions that result in deliberate, code-level
> incompatibility out there is pretty small. People rightly expect that
> code written for version 2.x of a language will continue to work with
> version 3.x, even if 3.x is designed to go in another direction.

PHP regularly breaks compatibility between _minor_ version releases:

http://php.net/manual/en/migration53.incompatible.php

Even more so with major releases:

http://php.net/manual/en/migration5.incompatible.php

And yet I never see anywhere near as much angst and agony as Python 3.x 
has caused.



More information about the Python-list mailing list